
import os
import sys


from urbanq.custom.Info import Info
from urbanq.custom.FileInfo import FileInfo


from PyQt5.QtCore import QObject, pyqtSignal


class FileInfoSignals(QObject):
    file_preview_updated = pyqtSignal()


signals = FileInfoSignals()


plugin_dir = os.path.dirname(__file__)


sys.path.append(plugin_dir)

korea_encodings = ['UTF-8', 'EUC-KR', 'CP949', 'ISO-2022-KR', 'UTF-16', 'UTF-32', 'Big5', 'Shift-JIS', 'ASCII',
                   'KS C 5601', 'Latin1', 'ISO-8859-2', 'ISO-8859-15', 'MacRoman', 'CP1252', 'CP1250', 'CP932',
                   'GB2312', 'GBK', 'IBM937', 'WINDOWS-949']


increment_values = [0.5, 0.1, 0.2, 0.2]



increment_size = [0.73, 1.21, 0.58, 1.04, 0.92, 1.37, 0.66, 1.48, 0.81, 1.20]



increment_factor = [2, 1.5, 1.5, 2, 1, 1, 1, 2]



lif, lip = Info(), Info()


fileInfo_1, fileInfo_2 = FileInfo(), FileInfo()


job_info = {}




